
---@class mqtt_bitops*
---@type mqtt_bitops*
local M = {}

--- 左移。
---@param value integer
---@param count integer
---@return integer result
function M.lshift(value, count) end

--- 右移。
---@param value integer
---@param count integer
---@return integer result
function M.rshift(value, count) end

--- 按位或。
---@param lhs integer
---@param rhs integer
---@return integer result
function M.bor(lhs, rhs) end

--- 按位与。
---@param lhs integer
---@param rhs integer
---@return integer result
function M.band(lhs, rhs) end

return M
